summaryrefslogtreecommitdiffstats
path: root/development/avr-gcc
diff options
context:
space:
mode:
author Marek Buras2010-05-13 00:57:48 +0200
committer David Somero2010-05-13 00:57:48 +0200
commitd4bce28489add0752b253bdc32374b0dbfdfed82 (patch)
tree7fe64b2ca33d8d9ff22ffbdce65dfd2b37a83fc1 /development/avr-gcc
parent2d7717bb443aa9d794b1ec163ce108bede7bf3e7 (diff)
downloadslackbuilds-d4bce28489add0752b253bdc32374b0dbfdfed82.tar.gz
development/avr-gcc: Added to 13.0 repository
Diffstat (limited to 'development/avr-gcc')
-rw-r--r--development/avr-gcc/README4
-rw-r--r--development/avr-gcc/avr-gcc.SlackBuild101
-rw-r--r--development/avr-gcc/avr-gcc.info10
-rw-r--r--development/avr-gcc/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/development/avr-gcc/README b/development/avr-gcc/README
new file mode 100644
index 0000000000..a1296c0006
--- /dev/null
+++ b/development/avr-gcc/README
@@ -0,0 +1,4 @@
+This package contains cross compiling version of GNU gcc, which can be
+used to compile C and C++ programs for the AVR platform.
+
+This requires avr-binutils.
diff --git a/development/avr-gcc/avr-gcc.SlackBuild b/development/avr-gcc/avr-gcc.SlackBuild
new file mode 100644
index 0000000000..726410a577
--- /dev/null
+++ b/development/avr-gcc/avr-gcc.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for avr-gcc
+
+# Written by Marek Buras <cyfr0n (at) go2 !dot pl>
+
+# This file is placed in the public domain.
+
+
+PRGNAM=avr-gcc
+VERSION=${VERSION:-4.3.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf gcc-$VERSION avr-gcc-build-$VERSION
+tar xvf $CWD/gcc-core-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/gcc-g++-$VERSION.tar.bz2 || exit 1
+mkdir avr-gcc-build-$VERSION
+cd avr-gcc-build-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS_FOR_BUILD="$SLKCFLAGS" \
+CXXFLAGS_FOR_BUILD="$SLKCFLAGS" \
+../gcc-$VERSION/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --enable-languages=c,c++ \
+ --disable-nls \
+ --disable-libssp \
+ --with-system-zlib \
+ --enable-version-specific-runtime-libs \
+ --target=avr \
+ --program-prefix="avr-" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Remove useless stuff
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/libiberty.a
+rm -rf $PKG/usr/info
+rm -rf $PKG/usr/include
+rm -rf $PKG/usr/share
+rm -rf $PKG/usr/man/man7
+rm -rf $PKG/usr/libexec/gcc/avr/$VERSION/install-tools
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+for file in COPYING* ChangeLog MAINTAINERS NEWS README*; do
+ cp ../gcc-$VERSION/$file $PKG/usr/doc/$PRGNAM-$VERSION
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/avr-gcc/avr-gcc.info b/development/avr-gcc/avr-gcc.info
new file mode 100644
index 0000000000..4d5d6af9e5
--- /dev/null
+++ b/development/avr-gcc/avr-gcc.info
@@ -0,0 +1,10 @@
+PRGNAM="avr-gcc"
+VERSION="4.3.4"
+HOMEPAGE="http://www.gnu.org/software/gcc/"
+DOWNLOAD="ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.3.4/gcc-core-4.3.4.tar.bz2 ftp://ftp.gnu.org/pub/gnu/gcc/gcc-4.3.4/gcc-g++-4.3.4.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="575b3220bb8e7060939c429fc8608d22 d526e34eec101b8c69254ed5215b6d41"
+MD5SUM_x86_64=""
+MAINTAINER="Marek Buras"
+EMAIL="cyfr0n@go2.pl"
+APPROVED="dsomero"
diff --git a/development/avr-gcc/slack-desc b/development/avr-gcc/slack-desc
new file mode 100644
index 0000000000..c6c8e205a5
--- /dev/null
+++ b/development/avr-gcc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+avr-gcc: avr-gcc (Cross compiling gcc for the AVR platform)
+avr-gcc:
+avr-gcc: This package contains cross compiling version of GNU gcc, which can
+avr-gcc: be used to compile C and C++ programs for the AVR platform.
+avr-gcc:
+avr-gcc:
+avr-gcc:
+avr-gcc:
+avr-gcc:
+avr-gcc:
+avr-gcc: